From 6218a7ad75442e33fed2c838f123b101cdd893c5 Mon Sep 17 00:00:00 2001
From: Christian Hergert <chergert@redhat.com>
Date: Wed, 6 Nov 2024 13:09:31 -0800
Subject: [PATCH 32/33] sysprof: default stack-capturing as enabled

This is for CentOS/RHEL only as other distributions have frame-pointers.
---
 src/sysprof/sysprof-recording-template.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/src/sysprof/sysprof-recording-template.c b/src/sysprof/sysprof-recording-template.c
index ee4d4f01..b3018763 100644
--- a/src/sysprof/sysprof-recording-template.c
+++ b/src/sysprof/sysprof-recording-template.c
@@ -446,7 +446,8 @@ sysprof_recording_template_class_init (SysprofRecordingTemplateClass *klass)
 
   properties[PROP_USER_STACKS] =
     g_param_spec_boolean ("user-stacks", NULL, NULL,
-                          FALSE,
+                          /* Default to stack capturing in CentOS/RHEL */
+                          TRUE,
                           (G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS));
 
   properties[PROP_STACK_SIZE] =
@@ -473,6 +474,9 @@ sysprof_recording_template_init (SysprofRecordingTemplate *self)
   self->command_line = g_strdup ("");
   self->cwd = g_strdup("");
   self->stack_size = DEFAULT_STACK_SIZE;
+
+  /* Default to stack capturing in CentOS/RHEL */
+  self->user_stacks = TRUE;
 }
 
 SysprofRecordingTemplate *
-- 
2.45.2

